Chapter 14. namespacenotification
List, create, and manage namespace-level quota notifications.
14.1. createOrgNotification Copy linkLink copied to clipboard!
Create Org Notification.
14.1.1. POST /api/v1/organization/{orgname}/notifications Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (org:admin)
14.1.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | orgname required | The name of the organization | string |
14.1.3. Request body schema (application/json) Copy linkLink copied to clipboard!
Create a notification for an organization namespace
| Name | Description | Schema |
|---|---|---|
| event required |
The event that triggers this notification. Options include | string |
| method required |
The notification delivery method. Options include | string |
| config required |
JSON configuration for the notification method. Configuration varies by method type. For the | object |
| eventConfig required | JSON configuration for filtering which events trigger the notification. | object |
| title optional | Optional user-friendly title for the notification. | string |
14.1.4. Responses Copy linkLink copied to clipboard!
14.1.5. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
--data '{
"event": "quota_warning",
"method": "email",
"config": {},
"eventConfig": {}
}' \
https://<quay-server.example.com>/api/v1/organization/<orgname>/notifications
14.2. listOrgNotifications Copy linkLink copied to clipboard!
List Org Notifications.
14.2.1. GET /api/v1/organization/{orgname}/notifications Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (org:admin or global read-only superuser)
14.2.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | orgname required | The name of the organization | string |
14.2.3. Responses Copy linkLink copied to clipboard!
14.2.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/organization/<orgname>/notifications
14.2.5. Example output Copy linkLink copied to clipboard!
{
"notifications": [
{
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"title": "Quota Warning Alert",
"event": "quota_warning",
"method": "email",
"config": {},
"event_config": {},
"number_of_failures": 0
}
]
}
14.3. getOrgNotification Copy linkLink copied to clipboard!
Get Org Notification.
14.3.1. GET /api/v1/organization/{orgname}/notifications/{uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (org:admin or global read-only superuser)
14.3.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | orgname required | The name of the organization | string |
| path | uuid required | The UUID of the notification | string |
14.3.3. Responses Copy linkLink copied to clipboard!
14.3.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/organization/<orgname>/notifications/<uuid>
14.3.5. Example output Copy linkLink copied to clipboard!
{
"notifications": [
{
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"title": "Quota Warning Alert",
"event": "quota_warning",
"method": "email",
"config": {},
"event_config": {},
"number_of_failures": 0
}
]
}
14.4. deleteOrgNotification Copy linkLink copied to clipboard!
Delete Org Notification.
14.4.1. DELETE /api/v1/organization/{orgname}/notifications/{uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (org:admin)
14.4.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | orgname required | The name of the organization | string |
| path | uuid required | The uuid of the notification | string |
14.4.3. Responses Copy linkLink copied to clipboard!
14.4.4. Example command Copy linkLink copied to clipboard!
$ curl -X DELETE \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/organization/<orgname>/notifications/<uuid>
14.5. testOrgNotification Copy linkLink copied to clipboard!
Test Org Notification.
14.5.1. POST /api/v1/organization/{orgname}/notifications/{uuid}/test Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (org:admin)
14.5.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | orgname required | The name of the organization | string |
| path | uuid required | The uuid of the notification | string |
14.5.3. Responses Copy linkLink copied to clipboard!
14.5.4. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/organization/<orgname>/notifications/<uuid>/test
14.5.5. Example output Copy linkLink copied to clipboard!
{}
For email notifications, if an organization contact email is set, the test notification is routed to that address. Otherwise, email notifications default to all organization administrators. For other methods such as Slack or webhook, routing follows the notification config.
14.6. resetOrgNotificationFailures Copy linkLink copied to clipboard!
Reset Org Notification Failures.
14.6.1. POST /api/v1/organization/{orgname}/notifications/{uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (org:admin)
14.6.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | orgname required | The name of the organization | string |
| path | uuid required | The uuid of the notification | string |
14.6.3. Responses Copy linkLink copied to clipboard!
14.6.4. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/organization/<orgname>/notifications/<uuid>
14.7. createUserNotification Copy linkLink copied to clipboard!
Create User Notification.
14.7.1. POST /api/v1/user/namespacenotifications Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (user:admin)
14.7.2. Request body schema (application/json) Copy linkLink copied to clipboard!
Create a notification for a user namespace
| Name | Description | Schema |
|---|---|---|
| event required |
The event that triggers this notification. Options include | string |
| method required |
The notification delivery method. Options include | string |
| config required |
JSON configuration for the notification method. Configuration varies by method type. For the | object |
| eventConfig required | JSON configuration for filtering which events trigger the notification. | object |
| title optional | Optional user-friendly title for the notification. | string |
14.7.3. Responses Copy linkLink copied to clipboard!
14.7.4. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
--data '{
"event": "quota_warning",
"method": "email",
"config": {},
"eventConfig": {}
}' \
https://<quay-server.example.com>/api/v1/user/namespacenotifications
14.8. listUserNotifications Copy linkLink copied to clipboard!
List User Notifications.
14.8.1. GET /api/v1/user/namespacenotifications Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (user:admin)
14.8.2. Responses Copy linkLink copied to clipboard!
14.8.3. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/user/namespacenotifications
14.8.4. Example output Copy linkLink copied to clipboard!
{
"notifications": [
{
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"title": "Quota Warning Alert",
"event": "quota_warning",
"method": "email",
"config": {},
"event_config": {},
"number_of_failures": 0
}
]
}
14.9. getUserNamespaceNotification Copy linkLink copied to clipboard!
Get User Namespace Notification.
14.9.1. GET /api/v1/user/namespacenotifications/{uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (org:admin or global read-only superuser)
14.9.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | uuid required | The UUID of the notification | string |
14.9.3. Responses Copy linkLink copied to clipboard!
14.9.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/user/namespacenotifications/<uuid>
14.9.5. Example output Copy linkLink copied to clipboard!
{
"notifications": [
{
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"title": "Quota Warning Alert",
"event": "quota_warning",
"method": "email",
"config": {},
"event_config": {},
"number_of_failures": 0
}
]
}
14.10. deleteUserNotification Copy linkLink copied to clipboard!
Delete User Notification.
14.10.1. DELETE /api/v1/user/namespacenotifications/{uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (user:admin)
14.10.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | uuid required | The uuid of the notification | string |
14.10.3. Responses Copy linkLink copied to clipboard!
14.10.4. Example command Copy linkLink copied to clipboard!
$ curl -X DELETE \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/user/namespacenotifications/<uuid>
14.11. testUserNamespaceNotification Copy linkLink copied to clipboard!
Test User Namespace Notification.
14.11.1. POST /api/v1/user/namespacenotifications/{uuid}/test Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (user:admin)
14.11.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | uuid required | The uuid of the notification | string |
14.11.3. Responses Copy linkLink copied to clipboard!
14.11.4. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/user/namespacenotifications/<uuid>/test
14.11.5. Example output Copy linkLink copied to clipboard!
{}
For email notifications, the test notification is routed to the user account email address. For other methods such as Slack or webhook, routing follows the notification config.
14.12. resetUserNamespaceNotificationFailures Copy linkLink copied to clipboard!
Reset User Namespace Notification Failures.
14.12.1. POST /api/v1/user/namespacenotifications/{uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (org:admin)
14.12.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | orgname required | The name of the organization | string |
| path | uuid required | The uuid of the notification | string |
14.12.3. Responses Copy linkLink copied to clipboard!
14.12.4. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/user/namespacenotifications/{uuid}